<?php
  
  $session = $this->getSession();
  $filter_html = new Yab_Filter_Html();
  
  $sitefouille_id = $session->get('sitefouille_id') ;
  
  $network = array() ;
  $statut_id_prev = '';
  foreach($statuts as $statut_key => $statut_value ) {
    $statut_id = $statut_value->get('id') ;
    $statut_libelle = str_replace("/", "/ \n" ,$statut_value->get('categorie_value')) ;
    // $statut_libelle = str_replace("/", "/ \n" ,$statut_value->get('statut')) ;
    $color = '#'.substr(hash('crc32', $statut_libelle ), -6 ) ;
    $level = $statut_key+1 ;
    
    $network['nodes'][] = array(
      'id' => $statut_id,
      'label' => $statut_libelle,
      'title' => $statut_libelle,
      'color' => array( 'background' => $color ),
      'shape' => 'box',
      'level' => $level,
    ); 

    if (!empty($statut_id_prev) ) {
      $edges = array(
        'from' => $statut_id_prev,
        'to' => $statut_id,
        'style' => 'arrow',
      );
       
      $network['edges'][] = $edges ;
    
    }
    $statut_id_prev = $statut_value->get('id') ;
    $statut_libelle_prev = $statut_value->get('categorie_value') ;
    // $statut_libelle_prev = $statut_value->get('statut') ;
    

  } 
  
  $network_nodes = json_encode($network['nodes'],  JSON_UNESCAPED_SLASHES | JSON_HEX_TAG | JSON_HEX_APOS | JSON_HEX_QUOT | JSON_HEX_AMP | JSON_UNESCAPED_UNICODE)  ;
  $network_edges = json_encode($network['edges'] )  ;


  // identifiant unique de la div d'affichage 
  $unique_div = rand();

  // test si page autonome ( dans un layout ) ou incluse dans une autre.
  // permet de ne pas redefinir l'appel highcharts de multiple fois
  if (!$this->getLayout()->getEnabled() ) { 
?>
  <link href="<?php echo $request->getBaseUrl(); ?>/css/_vis.css" rel="stylesheet" type="text/css" />
  <script src="<?php echo $request->getBaseUrl(); ?>/js/vis.js"></script>
<?php  } ?>

<script type="text/javascript">
/* Cloud point */
    var network_statut = null;
    var layoutMethod_statut = "direction";
    // var layoutMethod_statut = "hubsize";
    // var direction_statut = "UD";
    var direction_statut = "LW";

    function draw_statut() {
      var nodes_statut = <?php echo $network_nodes ; ?> ;
      var edges_statut = <?php echo $network_edges ; ?> ;

        // create a network
        var container_statut = document.getElementById('statut_network_<?php echo $unique_div  ; ?>');
        var data_statut = {
            nodes: nodes_statut,
            edges: edges_statut
        };

        var options_statut = {
          width:  '100%',
          height: '200px',
          hierarchicalLayout: {
            enabled: true,
            levelSeparation: 150,
            nodeSpacing: 100,
            direction: direction_statut,
            layout: layoutMethod_statut
          },
          nodes: {
            fontSize: 11,
          },
          edges: {
            width: 2
          },
          smoothCurves:false,
        };
        network_statut = new vis.Network(container_statut, data_statut, options_statut);
        /*
        // add event listeners
        network.on('select', function(params) {
            document.getElementById('selection').innerHTML = 'Selection: ' + params.nodes;
        });
        */
    }
    
  $(document).ready(function(){
    
    draw_statut() ;  

  });

</script>

<div id="statut_network_<?php echo $unique_div  ; ?>"></div>
